# Add-On for pretalx vm hosted at c3voc.
# c3voc ansible only takes care of the basic things, this node only
# does the things ansible does *not* do.

nodes['voc.pretalx'] = {
    'hostname': 'pretalx.c3voc.de',
    'bundles': {
        'backup-client',
        'check-mail-received',
        'c3voc-addons',
        'pretalx',
        'postfix',
        'postgresql',
        'redis',
        'sshmon',
    },
    'metadata': {
        'backup-client': {
            'target': 'htz-hel.backup-kunsi',
        },
        'check-mail-received': {
            't-online': {
                'email': 'franzi.kunsmann@t-online.de',
                'imap_host': 'secureimap.t-online.de',
                'imap_pass': bwpass.attr('t-online.de/franzi.kunsmann@t-online.de', 'imap'),
            },
        },
        'interfaces': {
            'default': {
                'ips': {
                    '31.172.33.105/28',
                    '2a01:a700:48d1::105/64',
                },
                'gateway4': '31.172.33.110',
                'gateway6': '2a01:a700:48d1::1',
            },
        },
        'icinga_options': {
            'pretty_name': 'pretalx.c3voc.de',
        },
        'nginx': {
            'vhosts': {
                'pretalx': {
                    'domain': 'pretalx.c3voc.de',
                    # pretalx limits this to 10M per file, too
                    'max_body_size': '100M',
                    'extras': True,
                    'website_check_path': '/orga/login/',
                    'website_check_string': ':: pretalx',
                },
            },
        },
        'pretalx': {
            'version': '60722c43cf975f319e94102e6bff320723776890',
            'domain': 'pretalx.c3voc.de',
            'mail_from': 'pretalx@c3voc.de',
            'administrators-from-group-id': 1,
            'plugins': {
                'downstream': {
                    'repo': 'https://github.com/pretalx/pretalx-downstream.git',
                    'rev': 'v1.1.5',
                },
                'broadcast_tools': {
                    'repo': 'https://github.com/Kunsi/pretalx-plugin-broadcast-tools.git',
                    'rev': '1.1.0',
                },
                'media.ccc.de': {
                    'repo': 'https://github.com/pretalx/pretalx-media-ccc-de.git',
                    'rev': 'main',
                },
            },
        },
        'postfix': {
            'myhostname': 'pretalx.c3voc.de',
            'relayhost': 'mng.c3voc.de',
        },
        'postgresql': {
            'version': '13',
        },
    },
    'os': 'debian',
    'os_version': (11,),
    'pip_command': 'pip3',
}
